org.apache.solr.store.blockcache

## Class Metrics

- java.lang.Object
- - org.apache.solr.search.SolrCacheBase
  - - org.apache.solr.store.blockcache.Metrics

- All Implemented Interfaces:
    SolrInfoMBean

      public class Metrics
      extends SolrCacheBase
      implements SolrInfoMBean

  A `SolrInfoMBean` that provides metrics on block cache operations.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Metrics.MethodCall`

    - ### Nested classes/interfaces inherited from class org.apache.solr.search.SolrCacheBase

      `SolrCacheBase.AutoWarmCountRef`

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `AtomicLong` | `blockCacheEviction`
    `AtomicLong` | `blockCacheHit`
    `AtomicLong` | `blockCacheMiss`
    `AtomicLong` | `blockCacheSize`
    `AtomicLong` | `indexCount`
    `AtomicLong` | `indexMemoryUsage`
    `Map<String,Metrics.MethodCall>` | `methodCalls`
    `AtomicLong` | `queriesExternal`
    `AtomicLong` | `queriesInternal`
    `AtomicLong` | `recordCount`
    `AtomicLong` | `recordReads`
    `AtomicLong` | `recordWrites`
    `AtomicLong` | `rowCount`
    `AtomicLong` | `rowReads`
    `AtomicLong` | `rowWrites`
    `AtomicLong` | `segmentCount`
    `AtomicLong` | `shardBuffercacheAllocate`
    `AtomicLong` | `shardBuffercacheLost`
    `AtomicLong` | `tableCount`

    - ### Fields inherited from class org.apache.solr.search.SolrCacheBase

      `autowarm, regenerator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Metrics()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Simple one or two line description
    `URL[]` | `getDocs()` Documentation URL list.
    `String` | `getName()` Simple common usage name, e.g.
    `String` | `getSource()` CVS Source, SVN Source, etc
    `NamedList<Number>` | `getStatistics()` Any statistics this instance would like to be publicly available via the Solr Administration interface.
    `static void` | `main(String[] args)`

    - ### Methods inherited from class org.apache.solr.search.SolrCacheBase

      `calcHitRatio, getAutowarmDescription, getCategory, getState, getVersion, init, isAutowarmingOn, name, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.solr.core.SolrInfoMBean

      `getCategory, getVersion`

- - ### Field Detail

    - #### blockCacheHit

          public AtomicLong blockCacheHit

    - #### blockCacheMiss

          public AtomicLong blockCacheMiss

    - #### blockCacheEviction

          public AtomicLong blockCacheEviction

    - #### blockCacheSize

          public AtomicLong blockCacheSize

    - #### rowReads

          public AtomicLong rowReads

    - #### rowWrites

          public AtomicLong rowWrites

    - #### recordReads

          public AtomicLong recordReads

    - #### recordWrites

          public AtomicLong recordWrites

    - #### queriesExternal

          public AtomicLong queriesExternal

    - #### queriesInternal

          public AtomicLong queriesInternal

    - #### shardBuffercacheAllocate

          public AtomicLong shardBuffercacheAllocate

    - #### shardBuffercacheLost

          public AtomicLong shardBuffercacheLost

    - #### methodCalls

          public Map<String,Metrics.MethodCall> methodCalls

    - #### tableCount

          public AtomicLong tableCount

    - #### rowCount

          public AtomicLong rowCount

    - #### recordCount

          public AtomicLong recordCount

    - #### indexCount

          public AtomicLong indexCount

    - #### indexMemoryUsage

          public AtomicLong indexMemoryUsage

    - #### segmentCount

          public AtomicLong segmentCount

  - ### Constructor Detail

    - #### Metrics

          public Metrics()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws InterruptedException

      Throws:
        `InterruptedException`

    - #### getStatistics

          public NamedList<Number> getStatistics()

      Description copied from interface: `SolrInfoMBean`
      Any statistics this instance would like to be publicly available via the Solr Administration interface.

      Any Object type may be stored in the list, but only the `toString()` representation will be used.

      Specified by:
        `getStatistics` in interface `SolrInfoMBean`

    - #### getName

          public String getName()

      Description copied from interface: `SolrInfoMBean`
      Simple common usage name, e.g. BasicQueryHandler, or fully qualified clas name.
      Specified by:
        `getName` in interface `SolrInfoMBean`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`

    - #### getSource

          public String getSource()

      Description copied from interface: `SolrInfoMBean`
      CVS Source, SVN Source, etc
      Specified by:
        `getSource` in interface `SolrInfoMBean`

    - #### getDocs

          public URL[] getDocs()

      Description copied from interface: `SolrInfoMBean`
      Documentation URL list.

      Suggested documentation URLs: Homepage for sponsoring project, FAQ on class usage, Design doc for class, Wiki, bug reporting URL, etc...

      Specified by:
        `getDocs` in interface `SolrInfoMBean`
      Overrides:
        `getDocs` in class `SolrCacheBase`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.